package com.trafficparrot.sdk.example.template;

import com.trafficparrot.sdk.example.handlebars.RandomInteger;
import org.junit.Test;

import static org.junit.Assert.fail;

public class RandomIntegerTest {
    @Test
    public void generatesARandomInteger() throws Exception {
        for (int i = 0; i < 10; i++) {
            try {
                Integer.parseInt(new RandomInteger().doApply(null, null).content.toString());
            } catch (NumberFormatException e) {
                fail("Did not generate an integer" + e.getMessage());
            }
        }
    }

}